NetBSD Problem Report #41823

From  Wed Aug  5 09:15:19 2009
Return-Path: <>
Received: from ( [])
	by (Postfix) with ESMTP id 4FD8863BDF9
	for <>; Wed,  5 Aug 2009 09:15:19 +0000 (UTC)
Message-Id: <>
Date: Wed,  5 Aug 2009 09:15:18 +0000 (UTC)
Subject: www/ap2-wsgi build problem
X-Send-Pr-Version: www-1.0

>Number:         41823
>Category:       pkg
>Synopsis:       www/ap2-wsgi build problem
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          closed
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Aug 05 09:20:00 +0000 2009
>Closed-Date:    Sat Jan 03 21:32:57 +0000 2015
>Last-Modified:  Sat Jan 03 21:32:57 +0000 2015
>Originator:     Ondrej Tuma
>Release:        current
Linux update #4 Fri Sep 26 15:35:47 CEST 2008 i686 athlon-4 i386 GNU/Linux
===> Building for ap2-py25-wsgi-2.4
/usr/pkg/sbin/apxs -c -O2 -march=i686 -I/usr/include -I/usr/pkg/include/python2.5 -I/usr/include/db1 -I/usr/pkg/include -I/usr/pkg/include/apr-0 -I/usr/pkg/include/python2.5 -DNDEBUG  mod_wsgi.c -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib/python2.5/config -Wl,-R/usr/pkg/lib/python2.5/config -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -L/usr/pkg/lib/python2.5/config -lpython2.5 -lpthread -ldl -ldb1 -lutil -lm
apxs:Error: Unknown option: O.
apxs:Error: Unknown option: 2.
apxs:Error: Unknown option: m.
apxs:Error: Unknown option: r.
apxs:Error: Unknown option: h.
apxs:Error: Unknown option: =.
apxs:Error: Unknown option: 6.
apxs:Error: Unknown option: 8.
apxs:Error: Unknown option: 6.
Usage: apxs -g [-S =<val>] -n <modname>
       apxs -q [-S =<val>] <query> ...
       apxs -c [-S =<val>] [-o <dsofile>] [-D <name>[=<value>]]
               [-I <incdir>] [-L <libdir>] [-l <libname>] [-Wc,<flags>]
               [-Wl,<flags>] [-p] <files> ...
       apxs -i [-S =<val>] [-a] [-A] [-n <modname>] <dsofile> ...
       apxs -e [-S =<val>] [-a] [-A] [-n <modname>] <dsofile> ...
*** Error code 1

bmake: stopped in /usr/pkgsrc/www/ap2-wsgi/work/mod_wsgi-2.4
*** Error code 1

bmake: stopped in /usr/pkgsrc/www/ap2-wsgi
*** Error code 1

full log is here:
bmake install


From: "OBATA Akio" <>
Subject: Re: pkg/41823: www/ap2-wsgi build problem
Date: Thu, 20 Aug 2009 18:26:41 +0900

 I'm guessing that you are using CFLAG="-O2 -mcpu=i686".
 apxs does not recognize such options, use CFLAGS="-Wc,-O2 -Wc,-mcpu=i686" instead.

State-Changed-From-To: open->feedback
State-Changed-When: Mon, 29 Dec 2014 08:47:08 +0000
are you still seeing this problem?

State-Changed-From-To: feedback->closed
State-Changed-When: Sat, 03 Jan 2015 21:32:57 +0000
Feedback mail bounced. apache 2 (rather than 22 or 24) is obsolete and
was removed from pkgsrc some time ago; the newer apaches have different
module frameworks and this PR is presumably irrelevant to them.


NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD:,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.